Announcement

Collapse
No announcement yet.

install plug in issues

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • install plug in issues

    download successful, wont show up in my plug ins... hs3... see attached screen shot
    Attached Files
    HS3 , Zwave, HometrollerS6, ELK M1G Ultra; mcs sprinklers; WGL800; BLRF; BLNetCallerID; BLSpeech

  • #2
    I think you need to install Microsoft .NET Framework 4.5 or higher.

    Comment


    • #3
      thanks. i updated hs3 and it gave me some error messages so that could be it. how do i install net 4.5???
      HS3 , Zwave, HometrollerS6, ELK M1G Ultra; mcs sprinklers; WGL800; BLRF; BLNetCallerID; BLSpeech

      Comment


      • #4
        Originally posted by gfs View Post
        how do i install net 4.5???
        https://www.microsoft.com/en-US/down....aspx?id=30653

        Comment


        • #5
          done loaded authorized but cant get devices to show up
          ecobee shows up in my room list
          but no devices when i check it
          HS3 , Zwave, HometrollerS6, ELK M1G Ultra; mcs sprinklers; WGL800; BLRF; BLNetCallerID; BLSpeech

          Comment


          • #6
            Originally posted by gfs View Post
            done loaded authorized but cant get devices to show up
            ecobee shows up in my room list
            but no devices when i check it
            make sure the devices are not filtered out by the "Device Type" filter.

            If you can't figure it out, please set the log level to Debug from the Config page, then post your logs when you restart the plugin. Thanks

            Comment


            • #7
              stupid me... there they are!!! thanks spud! just installed the unit and the echo skill now to HS!!! thanks a lot
              HS3 , Zwave, HometrollerS6, ELK M1G Ultra; mcs sprinklers; WGL800; BLRF; BLNetCallerID; BLSpeech

              Comment


              • #8
                ecobee on HS SEL?

                I am also having an issue with the plugin showing in the plugin mgr. I am running on the HS SEL troller with Linux. I thought .NET was only for Windows. Can I install on Linux?

                Comment


                • #9
                  Originally posted by thutchins View Post
                  I am also having an issue with the plugin showing in the plugin mgr. I am running on the HS SEL troller with Linux. I thought .NET was only for Windows. Can I install on Linux?
                  yes the Ecobee plugin can run on Linux. The equivalent of .NET on Linux is Mono.

                  Can you describe with more details what issue you have? Please post what you have in the logs.

                  thanks

                  Comment


                  • #10
                    I download Ecobee from the plugin mgr and it seems to install, but the Ecobee plugin does not then appear in the plugin mgr. Here is the error code from the log

                    n-15 8:29:24 AM Error Error, Creating plugin instance: HSPI_Ecobee.exe->Exception has been thrown by the target of an invocation.->Could not load file or assembly 'System.Runtime, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a' or one of its dependencies.
                    Jan-15 8:29:23 AM Updater Install/Update of package Ecobee was successful.
                    Jan-15 8:29:23 AM Updater Warning File exists, not overwriting: \usr\local\HomeSeer\Config\\Ecobee.ini
                    Jan-15 8:29:23 AM Updater Extraction Complete.
                    Jan-15 8:29:23 AM Updater Extracting files from zip file: images.zip
                    Jan-15 8:29:23 AM Updater Copying file: \usr\local\HomeSeer\bin\Ecobee\System.Time.dll
                    Jan-15 8:29:23 AM Updater Copying file: \usr\local\HomeSeer\bin\Ecobee\Ecobee.Net.dll
                    Jan-15 8:29:23 AM Updater Copying file: \usr\local\HomeSeer\bin\Ecobee\Newtonsoft.Json.dll
                    Jan-15 8:29:23 AM Updater Copying file: \usr\local\HomeSeer\HSPI_Ecobee.exe.config
                    Jan-15 8:29:23 AM Updater Copying file: \usr\local\HomeSeer\HSPI_Ecobee.exe
                    Jan-15 8:29:23 AM Updater Installing package Ecobee
                    Jan-15 8:29:23 AM Updater Update HSPI_Ecobee.exe downloaded successfully
                    Jan-15 8:29:21 AM Updater Downloading update: Ecobee
                    Jan-15 8:29:21 AM Updater Starting download of updates

                    Comment


                    • #11
                      Do I need to install Mono? If so, how do I go about it? Linux newbie here!

                      Comment


                      • #12
                        Originally posted by thutchins View Post
                        Do I need to install Mono? If so, how do I go about it? Linux newbie here!
                        you already have mono installed otherwise HS3 would not run at all.
                        however for this plugin to work you need mono 4. or later

                        check the version of mono installed with this command:
                        mono --version

                        also you may need to move 2 dlls from your homeseer dir to the bin folder
                        Code:
                        sudo mv /usr/local/homeseer/Mono.CSharp.dll /usr/local/homeseer/bin/Mono.CSharp.dll
                        
                        sudo mv /usr/local/homeseer/CSScriptLibray.dll /usr/local/homeseer/bin/CSScriptLibrary.dll

                        Comment


                        • #13
                          version of Mono is : Mono JIT compiler version 4.2.1 (Debian 4.2.1.102+dfsg2-7ubuntu4)

                          tried running coy commands and got the following errors
                          homeseer@hometrollerSEL:~$ sudo mv /usr/local/homeseer/Mono.CSharp.dll /usr/local/homeseer/bin/Mono.CSharp.dll
                          [sudo] password for homeseer:
                          mv: cannot stat '/usr/local/homeseer/Mono.CSharp.dll': No such file or directory
                          homeseer@hometrollerSEL:~$ sudo mv /usr/local/homeseer/CSScriptLibray.dll /usr/local/homeseer/bin/CSScriptLibrary.dll
                          mv: cannot stat '/usr/local/homeseer/CSScriptLibray.dll': No such file or directory


                          Tom

                          Comment


                          • #14
                            Spud,

                            I finally got remote access to my SEL so I checked on the 2 .dll 's you suggested moving. They are located in the /usr/local/HomeSeer/bin/ directory. Is that correct?

                            Thanks!
                            Tom

                            Comment


                            • #15
                              Originally posted by thutchins View Post
                              Spud,

                              I finally got remote access to my SEL so I checked on the 2 .dll 's you suggested moving. They are located in the /usr/local/HomeSeer/bin/ directory. Is that correct?

                              Thanks!
                              Tom
                              yes this is correct

                              so, I'm not sure what's wrong...
                              you can try to install possible missing packages by running this command:

                              Code:
                              sudo apt-get install mono-complete

                              Comment

                              Working...
                              X